Use installed gradle, not gradlew v1.0.0
authorChristian Weiske <cweiske@cweiske.de>
Sun, 27 Mar 2016 11:18:40 +0000 (13:18 +0200)
committerChristian Weiske <cweiske@cweiske.de>
Sun, 27 Mar 2016 11:18:40 +0000 (13:18 +0200)
README.rst

index f6d6cea..795e3aa 100644 (file)
@@ -39,19 +39,19 @@ Building
 ========
 ::
 
-    $ ./gradlew build
+    $ gradle build
 
 Note that AndroidStudio 1.5.1 does not detect the gradle configuration correctly
 and produces ``.apk`` files much larger than necessary, with duplicated files.
 
-``gradlew`` on command line does it correctly, though.
+``gradle`` on command line does it correctly, though.
 
 
 Releasing
 =========
 Build it normally, then sign the generated package file::
 
-    $ ./gradlew assembleRelease
+    $ gradle assembleRelease
 
 To sign the release with your key, put the path to the signing configuration
 file into ``gradle.properties``::
@@ -64,6 +64,12 @@ The signing configuration file should look like shown in
 __ https://www.timroes.de/2013/09/22/handling-signing-configs-with-gradle/
 
 
+Dependencies
+============
+* gradle 2.12 (earlier will probably work, too)
+* Android SDK 19
+
+
 =========================
 About headphone indicator
 =========================